Subject: Re: bug#33050: 27.0.50; [macOS] Problem with process input with process-connection-type nil

From: Thomas Fitzsimmons <[email-masked]>
Date: Mon, 03 Dec 2018 09:17:17 -0500

Filipp Gunbin <[email-masked]> writes:

> On 29/11/2018 12:41 +0200, Eli Zaretskii wrote:
>
>>> From: Filipp Gunbin <[email-masked]>
>>> Cc: [email-masked],  [email-masked],  [email-masked]
>>> Date: Thu, 29 Nov 2018 12:51:09 +0300
>>>
>>> > I guess I'm confused regarding what you'd like to see on emacs-26.
>>> > Was there a patch to that effect posted in this discussion, and if so,
>>> > could you point me to it, please?
>>>
>>> Sure, it's in message https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33050#89
>>
>> Thanks, now pushed to the emacs-26 branch.
>
> Ok, I pushed the unconditional setting on master and am closing this
> bug.

Thanks Eli and Filipp for pushing these.  Filipp, on master is there any
reason not to just leave process-connection-type at its default value?
The patch I was going to push for this is attached.

Thomas

>From 5e933b39d1ce8016a8d989cef99a19e12eb36039 Mon Sep 17 00:00:00 2001
From: Thomas Fitzsimmons <[email-masked]>
Date: Fri, 26 Oct 2018 16:59:09 -0400
Subject: [PATCH] ldap.el: Do not set process-connection-type

* lisp/net/ldap.el (ldap-search-internal): Leave
process-connection-type at its default value.  (Bug#33050)
---
 lisp/net/ldap.el | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/lisp/net/ldap.el b/lisp/net/ldap.el
index 7b47a54..4b49f76 100644
--- a/lisp/net/ldap.el
+++ b/lisp/net/ldap.el
@@ -646,8 +646,9 @@ ldap-search-internal
 	       (not (equal "" sizelimit)))
 	  (setq arglist (nconc arglist (list (format "-z%s" sizelimit)))))
       (if passwd
-	  (let* ((process-connection-type nil)
-		 (proc-args (append arglist ldap-ldapsearch-args
+	  ;; Leave process-connection-type at its default value.  See
+	  ;; discussion in Bug#33050.
+	  (let* ((proc-args (append arglist ldap-ldapsearch-args
 				    filter))
 		 (proc (apply #'start-process "ldapsearch" buf
 			      ldap-ldapsearch-prog
-- 
1.8.3.1